Update Follow Up Prompt
curl --request PATCH \
--url https://sitegpt.ai/api/v0/chatbots/{chatbotId}/follow-up-prompts/{followUpPromptId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"title": "conversation starter title",
"link": "",
"description": "conversation starter description",
"isEscalationPrompt": true
}
'import requests
url = "https://sitegpt.ai/api/v0/chatbots/{chatbotId}/follow-up-prompts/{followUpPromptId}"
payload = {
"title": "conversation starter title",
"link": "",
"description": "conversation starter description",
"isEscalationPrompt": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
title: 'conversation starter title',
link: '',
description: 'conversation starter description',
isEscalationPrompt: true
})
};
fetch('https://sitegpt.ai/api/v0/chatbots/{chatbotId}/follow-up-prompts/{followUpPromptId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"message": "Updated follow-up prompt of the chatbot successfully",
"data": {}
}
Follow-up Prompts
Update Follow Up Prompt
Update follow-up prompt of the chatbot
PATCH
/
v0
/
chatbots
/
{chatbotId}
/
follow-up-prompts
/
{followUpPromptId}
Update Follow Up Prompt
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Your Chatbot Id
Your Follow Up Prompt Id
Body
application/json
Request body to update the follow-up prompt
Request Body
Title of the follow-up-prompt. This is the text that is shown as button in the chatbot.
Link of the follow-up prompt. If this link is added, then when you click on the follow-up prompt in the chatbot, this link will be opened instead of sending a message to the chatbot.
Description of the follow-up-prompt. This is the message that will be sent to the chatbot when you click on the follow-up-prompt inside the chatbot.
Indicates whether the follow-up prompt is an escalation prompt or not
Was this page helpful?
⌘I